Erro ao instalar o Skype no Funtoo [RESOLVIDO]

1. Erro ao instalar o Skype no Funtoo [RESOLVIDO]

Guilherme Pereira Machado
Guitto

(usa Gentoo)

Enviado em 15/10/2018 - 18:59h

Olá! Fiz a instalação do Funtoo nesse final de semana, e até agora tenho conseguido me virar bem nele e estou gostando bastante do sistema, ele é bem rápido e fluído.

Porém, até agora não consegui instalar o Skype. Quando rodo o emerge skypeforlinux apresenta o seguinte erro:

emerge skypeforlinux
Calculating dependencies... done!

>>> Verifying ebuild manifests

>>> Emerging (1 of 1) net-im/skypeforlinux-8.28.0.41::net-kit
>>> Downloading 'https://repo.skype.com/rpm/stable/skypeforlinux_8.28.0.41-1.x86_64.rpm'
--2018-10-15 18:57:09-- https://repo.skype.com/rpm/stable/skypeforlinux_8.28.0.41-1.x86_64.rpm
Resolving repo.skype.com... 2600:1419:d000:288::1263, 2600:1419:d000:284::1263, 23.40.24.229
Connecting to repo.skype.com|2600:1419:d000:288::1263|:443... connected.
HTTP request sent, awaiting response... 404 Not Found
2018-10-15 18:57:10 ERROR 404: Not Found.

!!! Couldn't download 'skypeforlinux_8.28.0.41-1.x86_64.rpm'. Aborting.
* Fetch failed for 'net-im/skypeforlinux-8.28.0.41', Log file:
* '/var/tmp/portage/net-im/skypeforlinux-8.28.0.41/temp/build.log'

>>> Failed to emerge net-im/skypeforlinux-8.28.0.41, Log file:

>>> '/var/tmp/portage/net-im/skypeforlinux-8.28.0.41/temp/build.log'

* Messages for package net-im/skypeforlinux-8.28.0.41:

* Fetch failed for 'net-im/skypeforlinux-8.28.0.41', Log file:
* '/var/tmp/portage/net-im/skypeforlinux-8.28.0.41/temp/build.log'

Alguém sabe o que pode ser? Percebi que ele está tentando instalar uma versão antiga do Skype. Desde já, obrigado a quem puder ajudar!
____________________________________________________________

Keep It Simple Stupid!


  


2. Re: Erro ao instalar o Skype no Funtoo [RESOLVIDO]

Matheus
pylm

(usa Gentoo)

Enviado em 15/10/2018 - 23:19h

Obviamente o ebuild tá buscando o arquivo num link quebrado e o certo seria você reportar isso no bugzilla pra ser consertado, no meio tempo tens duas opções:

Tentar a versão instável, basta estar o programa com a flag ~amd64 em um arquivo em /etc/portage/package.keywords/skype e torcer pra esse ebuild estar certo
Criar um repositório local, jogar o ebuild lá, editar o link e instalar a partir dele. O processo é necessário pois se você editar diretamente o ebuild o portage vai se recusar a instalar por conta de divergência no tamanho do arquivo.


3. Re: Erro ao instalar o Skype no Funtoo [RESOLVIDO]

Guilherme Pereira Machado
Guitto

(usa Gentoo)

Enviado em 15/10/2018 - 23:34h

pylm escreveu:

Obviamente o ebuild tá buscando o arquivo num link quebrado e o certo seria você reportar isso no bugzilla pra ser consertado, no meio tempo tens duas opções:

Tentar a versão instável, basta estar o programa com a flag ~amd64 em um arquivo em /etc/portage/package.keywords/skype e torcer pra esse ebuild estar certo
Criar um repositório local, jogar o ebuild lá, editar o link e instalar a partir dele. O processo é necessário pois se você editar diretamente o ebuild o portage vai se recusar a instalar por conta de divergência no tamanho do arquivo.



Ok, eu tinha percebido que o link estava quebrado, e procurei o erro no Google, e achei o bug reportado. Entrei no Gentoo Packages e tinha uma atualização lá, dizendo que os "pacotes antigos" haviam sido removidos: https://packages.gentoo.org/packages/net-im/skypeforlinux

O Portage está tentando instalar um pacote mais antigo: skypeforlinux-8.29.0.50.ebuild,
Essa seria a versão certa: skypeforlinux-8.31.0.92.ebuild

Isso está nos changelogs no Gentoo Package, e eu queria saber como instalar essa versão mais recente (já coloquei o unmask no make.conf), também tentei baixar a versão .rpm e a .deb no site do Skype, e aí extrair ela e instalar na mão (fazia isso no Arch Linux e funcionava) mas não consegui no Funtoo, tem jeito?

Eu não tenho muita experiência com o Gentoo/Funtoo, e não sei como proceder nas duas opções, teria um link ou poderia me explicar como fazer? Desde já, muito obrigado pela ajuda!

____________________________________________________________

Keep It Simple Stupid!


4. Re: Erro ao instalar o Skype no Funtoo

Matheus
pylm

(usa Gentoo)

Enviado em 16/10/2018 - 16:27h

Não se seta nada específico a pacotes no make.conf, qualquer coisa q tenhas colocado lá tá sendi ignorada.

Antes de qualquer procedimento atualize os ebuilds, aqui no Gentoo é a versão 8.31 que tá disponível (e existe lá no link)


# emerge --sync
# emerge -av skypeforlinux


Se não rolar, aí parta pros passos abaixo.

Verifique se existe uma versão diferente da atual que o portage tá tentando instalar
$ ls /usr/portage/net-im/skypeforlinux

Se existir, pegue a versão de teste (que será mais nova)

# mkdir /etc/portage/package.keywords/
# echo "net-im/skypeforlinux ~amd64" > /etc/portage/package.keywords/skype
# emerge -av skypeforlinux


Se AINDA não tiver resolvido, faça um repositório local e edite ebuild do skype lá com o link certo.

https://wiki.gentoo.org/wiki/Custom_repository


5. Re: Erro ao instalar o Skype no Funtoo [RESOLVIDO]

Guilherme Pereira Machado
Guitto

(usa Gentoo)

Enviado em 16/10/2018 - 18:36h

pylm escreveu:

Não se seta nada específico a pacotes no make.conf, qualquer coisa q tenhas colocado lá tá sendi ignorada.

Antes de qualquer procedimento atualize os ebuilds, aqui no Gentoo é a versão 8.31 que tá disponível (e existe lá no link)


# emerge --sync
# emerge -av skypeforlinux


Se não rolar, aí parta pros passos abaixo.

Verifique se existe uma versão diferente da atual que o portage tá tentando instalar
$ ls /usr/portage/net-im/skypeforlinux

Se existir, pegue a versão de teste (que será mais nova)

# mkdir /etc/portage/package.keywords/
# echo "net-im/skypeforlinux ~amd64" > /etc/portage/package.keywords/skype
# emerge -av skypeforlinux


Se AINDA não tiver resolvido, faça um repositório local e edite ebuild do skype lá com o link certo.

https://wiki.gentoo.org/wiki/Custom_repository



Quando verifiquei se tinha a versão mais atual do que a que o portage tava tentando instalar:

funtoo_guitto /home/guitto # ls /usr/portage/net-im/skypeforlinux
Manifest metadata.xml skypeforlinux-8.31.0.92.ebuild

Mas quando mando instalar:

funtoo_guitto /home/guitto # emerge -av skypeforlinux

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild N ] net-im/skypeforlinux-8.28.0.41::net-kit USE="pax_kernel" ABI_X86="(64)" 93.363 KiB

Total: 1 package (1 new), Size of downloads: 93.363 KiB

Would you like to merge these packages? [Yes/No]

Se coloco Yes, ele da erro. Vou tentar o segundo método, de criar a ebuild localmente e posto os resultados. Obrigado pela ajuda!
____________________________________________________________

Keep It Simple Stupid!


6. Re: Erro ao instalar o Skype no Funtoo [RESOLVIDO]

Guilherme Pereira Machado
Guitto

(usa Gentoo)

Enviado em 17/10/2018 - 20:51h

Deu certo @pylm muito obrigado! Fiz o repositório local e está funcionando :D
____________________________________________________________

Keep It Simple Stupid!






Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts